module SoarSc
  module Rack
    class Router
      module HttpMethod

        ANY = "*"
        CONNECT = "CONNECT"
        DELETE = "DELETE"
        GET = "GET"
        HEAD = "HEAD"
        OPTIONS = "OPTIONS"
        POST = "POST"
        PUT = "PUT"
        TRACE = "TRACE"

        ALL_METHODS = [ ANY, CONNECT, DELETE, GET, HEAD, OPTIONS, POST, PUT, TRACE ]

        def self.valid?(method)
          ALL_METHODS.include?(method)
        end

      end
    end
  end
end
